:- unit(classes_timetable(SELF_CLASSES_TIMETABLE)).

% item: unit parameters item
item :-
	valid_args,
	call(SELF_CLASSES_TIMETABLE).

valid_args:-  SELF_CLASSES_TIMETABLE = classes_timetable(_, _, _).

% Predicates for arguments

teacher(X):-
    arg(1, SELF_CLASSES_TIMETABLE, X).

class(X):-
    arg(2, SELF_CLASSES_TIMETABLE, X).

valid_time(X):-
    arg(3, SELF_CLASSES_TIMETABLE, X).

% DB

classes_timetable(john, logic, TP):-
	academic_calendar(_) :> (item, description(odd_semester), starts(2001), ends(2002), valid_time(I_AC)),
	time_point(TP) :> (valid_args,
		weekday(mon), time(H,0), H #>= 9, H #=< 11),
  	t_a(memberI(TP, I_AC)) :> valid_args.


classes_timetable(bill, ai, TP):-
	academic_calendar(_) :> (item, description(odd_semester), starts(2002), ends(2003), valid_time(I_AC)),
	time_point(TP) :> (valid_args,
				weekday(mon), time(H,0), H #>= 8, H #=< 10),
		t_a(memberI(TP, I_AC)) :> valid_args.
