:-unit(implicit).

item:- :^(item, at(T)), :< C, implicit_time(C, T).
valid_args:- :^(valid_args, at(T)), :< C, implicit_time(C, T).

implicit_time(C, time_point(TP)):-
	memberchk(time_point(TPC), C), t_a(equalTP(TPC, TP)) :> valid_args, !.

implicit_time(C, time_point(TP)):-
	memberchk(interval(I), C), t_a(memberI(TP, I)) :> valid_args.

implicit_time(C, interval(I)):-
	memberchk(interval(IC), C), t_a(contains(IC, I) ):> valid_args.
